Debian Bug report logs - #667275
merkaartor: ftbfs with GCC-4.7

version graph

Package: merkaartor; Maintainer for merkaartor is Bernd Zeimetz <bzed@debian.org>; Source for merkaartor is src:merkaartor.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:22:20 UTC

Severity: important

Tags: patch, sid, wheezy

Found in version merkaartor/0.17.2-5

Fixed in version merkaartor/0.17.2-7

Done: Bernd Zeimetz <bzed@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bernd Zeimetz <bzed@debian.org>:
Bug#667275; Package merkaartor. (Tue, 03 Apr 2012 23:22:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Tue, 03 Apr 2012 23:22:25 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: merkaartor: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:10:46 +0000
Package: merkaartor
Version: 0.17.2-5
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp:103:54: error: '::getuid' has not been declared

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/merkaartor_0.17.2-5_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
/usr/bin/uic-qt4 Docks/StyleDock.ui -o ui_StyleDock.h
/usr/bin/uic-qt4 Docks/MinimumRelationProperties.ui -o ui_MinimumRelationProperties.h
/usr/bin/uic-qt4 Docks/MinimumTrackPointProperties.ui -o ui_MinimumTrackPointProperties.h
/usr/bin/uic-qt4 Docks/MinimumRoadProperties.ui -o ui_MinimumRoadProperties.h
/usr/bin/uic-qt4 Docks/FeaturesDock.ui -o ui_FeaturesDock.h
/usr/bin/uic-qt4 ImportExport/ExportDialog.ui -o ui_ExportDialog.h
/usr/bin/uic-qt4 ImportExport/ImportCSVDialog.ui -o ui_ImportCSVDialog.h
/usr/bin/uic-qt4 Render/NativeRenderDialog.ui -o ui_NativeRenderDialog.h
/usr/bin/uic-qt4 GPS/qgpsmainwindowui.ui -o ui_qgpsmainwindowui.h
/usr/bin/uic-qt4 Tools/WorldOsbManager.ui -o ui_WorldOsbManager.h
Tools/WorldOsbManager.ui: Warning: Z-order assignment: '' is not a valid widget.
/usr/bin/uic-qt4 NameFinder/namefinderwidget.ui -o ui_namefinderwidget.h
/usr/bin/uic-qt4 Utils/PictureViewerDialog.ui -o ui_PictureViewerDialog.h
/usr/bin/uic-qt4 Utils/SelectionDialog.ui -o ui_SelectionDialog.h
/usr/bin/uic-qt4 Utils/TagSelectorWidget.ui -o ui_TagSelectorWidget.h
/usr/bin/uic-qt4 Utils/ProjectionChooser.ui -o ui_ProjectionChooser.h
/usr/bin/uic-qt4 Docks/PhotoLoadErrorDialog.ui -o ui_PhotoLoadErrorDialog.h
g++ -c -m64 -pipe -I/usr/include/gdal -O2 -Wall -W -D_REENTRANT -DQT_WEBKIT -DRELEASE -DVERSION=0.17 -DREVISION= -DNDEBUG -DUSE_LIBPROXY -DUSE_WEBKIT -D_TTY_POSIX_ -DUSE_GPS -DUSE_GPSD_LIB -DPLUGINS_DIR=/usr/lib/merkaartor/plugins -DSHARE_DIR=/usr/share/merkaartor -DTRANSDIR_MERKAARTOR=/usr/share/merkaartor/translations -DTRANSDIR_SYSTEM=/usr/share/qt4/translations/ -DGEOIMAGE -DUSE_ZBAR -DUSE_GDAL -DUSE_PROJ -DWORLD_SHP=/usr/share/merkaartor/world_background.osb -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_SVG_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtWebKit -I/usr/include/qt4 -I../3rdparty/qtsingleapplication-2.6_1-opensource/src -I../3rdparty/qttoolbardialog-2.2_1-opensource/src -I../include -I../interfaces -I../include/builtin-ggl -I. -IRender -Iqextserialport -IGPS -INameFinder -IPaintStyle -IPaintStyle -IFeatures -ILayers -IPreferences -ISync -ICommands -IInteractions -IDocks -IImportExport -ITools -ITagTemplate -I. -I. -o qtsingleapplication.o ../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.cpp
g++ -c -m64 -pipe -I/usr/include/gdal -O2 -Wall -W -D_REENTRANT -DQT_WEBKIT -DRELEASE -DVERSION=0.17 -DREVISION= -DNDEBUG -DUSE_LIBPROXY -DUSE_WEBKIT -D_TTY_POSIX_ -DUSE_GPS -DUSE_GPSD_LIB -DPLUGINS_DIR=/usr/lib/merkaartor/plugins -DSHARE_DIR=/usr/share/merkaartor -DTRANSDIR_MERKAARTOR=/usr/share/merkaartor/translations -DTRANSDIR_SYSTEM=/usr/share/qt4/translations/ -DGEOIMAGE -DUSE_ZBAR -DUSE_GDAL -DUSE_PROJ -DWORLD_SHP=/usr/share/merkaartor/world_background.osb -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_SVG_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtWebKit -I/usr/include/qt4 -I../3rdparty/qtsingleapplication-2.6_1-opensource/src -I../3rdparty/qttoolbardialog-2.2_1-opensource/src -I../include -I../interfaces -I../include/builtin-ggl -I. -IRender -Iqextserialport -IGPS -INameFinder -IPaintStyle -IPaintStyle -IFeatures -ILayers -IPreferences -ISync -ICommands -IInteractions -IDocks -IImportExport -ITools -ITagTemplate -I. -I. -o qtlocalpeer.o ../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp
../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp: In constructor 'QtLocalPeer::QtLocalPeer(QObject*, const QString&)':
../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp:103:54: error: '::getuid' has not been declared
../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp:103:54: note: suggested alternative:
In file included from ../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile_unix.cpp:49:0,
                 from ../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlocalpeer.cpp:67:
/usr/include/unistd.h:694:16: note:   'QtLP_Private::getuid'
make[2]: *** [qtlocalpeer.o] Error 1
make[2]: Leaving directory `/«PKGBUILDDIR»/src'
make[1]: *** [sub-src-make_default] Error 2
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:52:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 20:51:07 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 21:27:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667275: 672397 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Thu, 10 May 2012 19:09:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 11:03:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#667275; Package merkaartor. (Tue, 22 May 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Tue, 22 May 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 667275@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667275@bugs.debian.org
Subject: tag the correct report
Date: Tue, 22 May 2012 20:01:14 +0800
tags 672397 - patch
tags 667275 + patch
thanks

although this should be fixed in boost, it can be worked around by building with
-fpermissive.




Added tag(s) patch. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Tue, 22 May 2012 12:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#667275; Package merkaartor. (Tue, 29 May 2012 03:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Tue, 29 May 2012 03:51:05 GMT) Full text and rfc822 format available.

Message #27 received at 667275@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 672397@bugs.debian.org, 667275@bugs.debian.org, "Joop Boonen" <joop.boonen@boonen.org>
Subject: Re: merkaartor FTBFS due to a g++-4.7 issue in boost headers
Date: Tue, 29 May 2012 11:48:00 +0800
[Message part 1 (text/plain, inline)]
severity 672397 important
tags 672397 + moreinfo
thanks

is this really a boost bug? looks to me more than an issue in merkaartor. moving
the existing forward declaration up lets the build succeed.

Either this fix, or building with -fpermissive is certainly a better fix than
the one applied in merkaartor 0.17.2-6:

  * [887fc7cd] Use g++-4.6 to work around the g++-4.7 fuckup.
    Very ugly workaround for #672397.

Matthias
[merkaartor.diff (text/plain, attachment)]

Reply sent to Bernd Zeimetz <bzed@debian.org>:
You have taken responsibility. (Wed, 30 May 2012 22:09:09 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Wed, 30 May 2012 22:09:09 GMT) Full text and rfc822 format available.

Message #32 received at 667275-close@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: 667275-close@bugs.debian.org
Subject: Bug#667275: fixed in merkaartor 0.17.2-7
Date: Wed, 30 May 2012 22:04:04 +0000
Source: merkaartor
Source-Version: 0.17.2-7

We believe that the bug you reported is fixed in the latest version of
merkaartor, which is due to be installed in the Debian FTP archive:

merkaartor_0.17.2-7.diff.gz
  to main/m/merkaartor/merkaartor_0.17.2-7.diff.gz
merkaartor_0.17.2-7.dsc
  to main/m/merkaartor/merkaartor_0.17.2-7.dsc
merkaartor_0.17.2-7_amd64.deb
  to main/m/merkaartor/merkaartor_0.17.2-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667275@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernd Zeimetz <bzed@debian.org> (supplier of updated merkaartor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 30 May 2012 10:39:12 +0200
Source: merkaartor
Binary: merkaartor
Architecture: source amd64
Version: 0.17.2-7
Distribution: unstable
Urgency: low
Maintainer: Bernd Zeimetz <bzed@debian.org>
Changed-By: Bernd Zeimetz <bzed@debian.org>
Description: 
 merkaartor - map editor for OpenStreetMap.org
Closes: 667275
Changes: 
 merkaartor (0.17.2-7) unstable; urgency=low
 .
   * [7d02a1c5] Revert "Use g++-4.6 to work around the g++-4.7 fuckup."
     This reverts commit 887fc7cda2477d688d8e35b9d5bfe6d99ae9adeb.
   * [b2a27bf9] Updating debian/patches/gcc-4.7-ftbfs-fix.
     Thanks to Matthias Klose (Closes: #667275)
   * [86e9d24c] Updating git URLs.
Checksums-Sha1: 
 7dd17c59979a93077b775ccbb119965a73159e48 2145 merkaartor_0.17.2-7.dsc
 ebf83c139bb914f00c9846b0da628e7a2de1e73d 23538 merkaartor_0.17.2-7.diff.gz
 d98dceef8a87405dd3adb78d9fff31bda03129e0 3892258 merkaartor_0.17.2-7_amd64.deb
Checksums-Sha256: 
 d602efe1250a513893a83bad49c472644a88ddc4e7ae7143ba0b8064ac6552b4 2145 merkaartor_0.17.2-7.dsc
 924a7b77d14753ae1c6a56553d3bd2129dbfc9976f70294d847df6ebf298e325 23538 merkaartor_0.17.2-7.diff.gz
 d38f79dfadf797078a0bdd774e872aeb0d600aa6efbd299ef7e2df1fec13a430 3892258 merkaartor_0.17.2-7_amd64.deb
Files: 
 d0967fc1fe791658d1d85fdb7fb0947a 2145 science extra merkaartor_0.17.2-7.dsc
 58b3bdc5192c6b887afb263e302aaee4 23538 science extra merkaartor_0.17.2-7.diff.gz
 28ec0840ab7d59a7c357e3a2e6dcc312 3892258 science extra merkaartor_0.17.2-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPxpa7AAoJEOs2Fxpv+UNf9NgP/0r8yQXG5e9/HukX0eIwBxu8
tX0ik1CidLmlr7bdKYalCfcrJ2OGPHC8IeIfyTn1mXwPw287g2TTle/WMVUTj42c
rP3TadfxPp7z4ceHAlNIa3mOgecYUUXW4BV6QOGaPXGs31i9rF9Q5lj0mYAXZl1a
L4jBqPX4OiW1iCdML/d9npGolbkf3ipgMXJFsu8/YsSTM7iOrphx3uVpAkGhuwng
k7apsQFQjKVULTPdJM8BjbJqbcQsyPyZV0xtPgDWCbfF8vlcp3bTojkt3GRFUtk0
KVGw1q8FqwY610EGjsP4h8Pzog3nATwtmW85JjMPjvWn0hRSMjSfgH046g1qBwq5
IMR/amBDP93eImot1cD+WPGQ0mwN1OXBMafwVxUWg9X0ZV20o5b6trhiVX0ISwBF
gv0fpL1vYloN/30fL5A92OXAx177pYlhow5EDULcL2pPRh6tFImsPbcAyrXzdyNL
S4W4JjtSWB7+4p+UDTVm0aazm41s0woXE2hfclIYXBiy91bgVjXM8gmPnKUyv+U9
sfiD7DAYvGWaHNPm7OjbPYj2i2u98whGv2FWkAexFYMTcxGO6i8M1JKd23fhswxZ
PDU5QwOdkIUbnq1QgWUCDbPEJAOuOqTvFjzuaNw+mTPSakX0J/U4Gc46feSRaFtc
FExfgzvBfsp8+PJgz92q
=ODFq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:59:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:01:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.